<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.coordinatorlayout.widget.CoordinatorLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <com.google.android.material.appbar.AppBarLayout
                    android:id="@+id/list_appbar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/background"
                    android:gravity="center"
                    app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        android:background="@color/background_white"
                        android:descendantFocusability="beforeDescendants"
                        android:focusableInTouchMode="true"
                        android:gravity="center_vertical"
                        android:paddingLeft="20dp"
                        android:paddingTop="16dp"
                        android:paddingRight="20dp"
                        android:paddingBottom="16dp">

                        <EditText
                            android:id="@+id/search_input"
                            android:layout_width="0dp"
                            android:layout_height="32dp"
                            android:background="@drawable/community_editor_insert_search_background"
                            android:hint="@string/libao_search_input"
                            android:imeOptions="actionSearch"
                            android:paddingLeft="12dp"
                            android:paddingRight="12dp"
                            android:singleLine="true"
                            android:textColor="@color/text_title"
                            android:textColorHint="@color/text_C1BFC9"
                            android:textCursorDrawable="@drawable/cursor_color"
                            android:textSize="12sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintRight_toLeftOf="@id/search_button"
                            app:layout_constraintTop_toTopOf="parent" />

                        <ImageView
                            android:id="@+id/search_back"
                            android:layout_width="wrap_content"
                            android:layout_height="0dp"
                            android:layout_marginTop="1dp"
                            android:layout_marginBottom="1dp"
                            android:paddingLeft="12dp"
                            android:paddingRight="12dp"
                            android:src="@drawable/community_invite_back"
                            android:textColor="@color/white"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="@id/search_input"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/search_button"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:paddingLeft="16dp"
                            android:text="@string/libao_search"
                            android:textColor="@color/theme_font"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        app:layout_scrollFlags="scroll|enterAlwaysCollapsed" />

                </com.google.android.material.appbar.AppBarLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_behavior="@string/appbar_scrolling_view_behavior">

                    <LinearLayout
                        android:id="@+id/default_list_container"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background_white"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:paddingLeft="20dp"
                            android:paddingTop="16dp"
                            android:paddingRight="20dp"
                            android:paddingBottom="16dp"
                            android:text="快速选择" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginLeft="20dp"
                            android:layout_marginRight="20dp"
                            android:background="@color/divider" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/default_list"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/list_rv"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@color/background"
                        android:visibility="gone" />

                </RelativeLayout>
            </androidx.coordinatorlayout.widget.CoordinatorLayout>
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include
            layout="@layout/reuse_none_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="80dp" />

        <include
            layout="@layout/reuse_data_exception"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="80dp" />

        <include
            layout="@layout/reuse_no_connection"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="80dp" />

    </RelativeLayout>
</LinearLayout>